package com.huigou.topsun.proofing.application;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.huigou.topsun.proofing.domain.proofingMake.query.ProofingMakeQueryRequest;
import com.huigou.topsun.proofing.domain.vo.ProofingMakeVo;
import com.huigou.util.SDO;

import java.util.Map;

/**
 * @author yonghuan
 */
public interface ProofingMakeApplication {

    String QUERY_XML_FILE_PATH = "config/topsun/proofing/proofingMake.xml";


    Map<String, Object> slicedProofingMakeQuery(ProofingMakeQueryRequest query);

    /**
     *编辑打样制造信息
     */
    void saveProofingMake(SDO sdo) throws JsonProcessingException;


    ProofingMakeVo getProofingMakeVoById(String proofingMakeId);

}
